com.holonplatform.datastore.mongo.core.tx

## Interface MongoTransaction<S extends com.mongodb.session.ClientSession>

- Type Parameters:
    `S` - Concrete ClientSession type
  All Superinterfaces:
    com.holonplatform.core.datastore.transaction.TransactionStatus
  All Known Subinterfaces:
    AsyncMongoTransaction, ReactiveMongoTransaction, SyncMongoTransaction

      public interface MongoTransaction<S extends com.mongodb.session.ClientSession>
      extends com.holonplatform.core.datastore.transaction.TransactionStatus

  MongoDB `Transaction`.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.transaction.TransactionStatus

      `com.holonplatform.core.datastore.transaction.TransactionStatus.IllegalTransactionStatusException, com.holonplatform.core.datastore.transaction.TransactionStatus.TransactionException, com.holonplatform.core.datastore.transaction.TransactionStatus.TransactionNotSupportedException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.holonplatform.core.datastore.transaction.TransactionConfiguration` | `getConfiguration()` Get the transaction configuration.
    `S` | `getSession()` Get the `ClientSession` bound to this transaction.

    - ### Methods inherited from interface com.holonplatform.core.datastore.transaction.TransactionStatus

      `isActive, isCompleted, isNew, isRollbackOnly, setRollbackOnly`

- - ### Method Detail

    - #### getSession

          S getSession()

      Get the `ClientSession` bound to this transaction.
      Returns:
        The transaction session

    - #### getConfiguration

          com.holonplatform.core.datastore.transaction.TransactionConfiguration getConfiguration()

      Get the transaction configuration.
      Returns:
        the transaction configuration

Copyright © 2019 The Holon Platform. All rights reserved.